Subject: Re: bug#10681: GNU Guile 2.0.5 released

From: Hans Aberg <[email-masked]>
Date: Wed, 1 Feb 2012 14:36:32 +0100

On 1 Feb 2012, at 12:50, Andy Wingo wrote:

>> It suggests that problem is with llvm-gcc (an clang), I think. With
>> gcc-4.7 there is no libffi failure.
> 
> Is it correct to say that you experience this issue if libffi is
> compiled with llvm-gcc / clang, …

Yes, and also guile-2.0.5 (see below for more info).

> ...but do not experience this issue if
> libffi is compiled with gcc-4.7 ?

I have not tried that one. There is not issue with libffi from latest GIT compiled with llvm-gcc-4.2, and guile-2.0.5 compiled with SVN gcc-4.7.

> Trying to summarize; it has been hard to follow :)

Indeed, as there are three compilers :-):
  /usr/bin/clang
  /usr/bin/cc -> llvm-gcc-4.2
  /usr/bin/gcc -> llvm-gcc-4.2
These are provided by Xcode 4.2.1. So if one does not set CC, one will use llvm-gcc-4.2.

This compiler, llvm-gcc-4.2, is also what I use for system installation, as the SVN gcc-4.7 is experimental. Also gcc-4.7 was compiled using llvm-gcc-4.2; it did not compile with gcc-4.6.2.

So it seems safest to stick to llvm-gcc-4.2, as that is what package developers mostly will check against.

Hans